<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class FilterMappingDefinition
{
    private string $filterColumn;
    private $value;
    private string $type;

    private function __construct(string $filterColumn, $value, string $type)
    {
        $this->filterColumn = $filterColumn;
        $this->value = $value;
        $this->type = $type;
    }

    public static function fromArray(array $data): self
    {
        return new self($data['filter_column'], $data['value'] ?? '', $data['type']);
    }

    public function getFilterColumn(): string
    {
        return $this->filterColumn;
    }

    public function getValue()
    {
        return $this->value;
    }

    public function getType(): string
    {
        return $this->type;
    }
}
